Not the answer you need?
Register and ask your own question!

unable to install Percona XtraDB Cluster 8.0

AneeshBabuAneeshBabu Current User Role Supporter

Hi there

Could not be able to install percona xtradb cluster 8.0.

facing the below errors


[email protected]:~# sudo apt-get install percona-xtradb-cluster

Reading package lists... Done

Building dependency tree

Reading state information... Done

percona-xtradb-cluster is already the newest version (1:8.0.20-11-2.bionic).

You might want to run 'apt --fix-broken install' to correct these.

The following packages have unmet dependencies:

 percona-xtradb-cluster : Depends: percona-xtradb-cluster-server (>= 1:8.0.20-11-2.bionic) but it is not going to be installed

E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).


[email protected]:~# sudo apt --fix-broken install

Reading package lists... Done

Building dependency tree

Reading state information... Done

Correcting dependencies... Done

The following packages were automatically installed and are no longer required:

 libasound2 libasound2-data libcurl4-openssl-dev libgssglue1 libmysqlclient20 libpcsclite1 libxrandr2 libxrender1 linux-aws-5.3-headers-5.3.0-1033

 linux-aws-5.3-headers-5.3.0-1034 mysql-common percona-server-common-5.7 percona-xtrabackup-24 percona-xtradb-cluster-common-5.7

Use 'apt autoremove' to remove them.

The following additional packages will be installed:

 percona-xtradb-cluster-server

Suggested packages:

 tinyca pv

The following NEW packages will be installed:

 percona-xtradb-cluster-server

0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.

3 not fully installed or removed.

Need to get 0 B/38.4 MB of archives.

After this operation, 244 MB of additional disk space will be used.

Do you want to continue? [Y/n] Y

Preconfiguring packages ...

(Reading database ... 151035 files and directories currently installed.)

Preparing to unpack .../percona-xtradb-cluster-server_1%3a8.0.20-11-2.bionic_amd64.deb ...

Unpacking percona-xtradb-cluster-server (1:8.0.20-11-2.bionic) ...

dpkg: error processing archive /var/cache/apt/archives/percona-xtradb-cluster-server_1%3a8.0.20-11-2.bionic_amd64.deb (--unpack):

 trying to overwrite '/usr/share/mysql/bulgarian/errmsg.sys', which is also in package percona-server-common-5.7 5.7.31-34-1.bionic

dpkg-deb: error: paste subprocess was killed by signal (Broken pipe)

Errors were encountered while processing:

 /var/cache/apt/archives/percona-xtradb-cluster-server_1%3a8.0.20-11-2.bionic_amd64.deb

E: Sub-process /usr/bin/dpkg returned an error code (1)

Tagged:

Best Answer

Sign In or Register to comment.

MySQL, InnoDB, MariaDB and MongoDB are trademarks of their respective owners.
Copyright ©2005 - 2020 Percona LLC. All rights reserved.